# $Revision: 1.10 $, $Date: 2005/03/30 23:01:50 $
#
# Conditional build:
%bcond_with gtkglarea	# use gtkglarea instead of gtkglext
#
Summary:	Backend for GNOME chemistry apps
Summary(pl):	Backend dla aplikacji chemicznych GNOME
Name:		gnome-chemistry-utils
Version:	0.2.5
Release:	2
License:	LGPL
Group:		X11/Applications/Science
Source0:	http://savannah.nongnu.org/download/gchemutils/%{name}-%{version}.tar.bz2
# Source0-md5:	40aab80476187645e05dabf1ffb3caad
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.nongnu.org/gchemutils/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-vfs2-devel >= 2.10.0-2
%{?with_gtkglarea:BuildRequires:	gtkglarea-devel >= 1.99.0}
%{?with_gtkglarea:BuildConflicts:	gtkglext-devel >= 0.6.0}
%{!?with_gtkglarea:BuildRequires:	gtkglext-devel >= 0.6.0}
BuildRequires:	libbonoboui-devel >= 2.8.1-2
BuildRequires:	libglade2-devel >= 1:2.5.1
BuildRequires:	libgnomeprint-devel >= 2.10.0
BuildRequires:	libgnomeui-devel >= 2.10.0-2
BuildRequires:	libtool
BuildRequires:	openbabel-devel >= 1.100.2
Obsoletes:	gcu
Obsoletes:	gcu-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
The GNOME Chemistry Utils provide C++ classes and GTK2 widgets related
to chemistry. They are currently used in GNOME Crystal (gcrystal) and
GNOME Chemistry Paint (gchempaint).

%description -l pl
GNOME Chemistry Utils to zestaw klas C++ i widgetw GTK2 zwizanych z
chemi. Obecnie uywany jest w programach GNOME Crystal (gcrystal) i
GNOME Chemistry Paint (gchempaint).

%package devel
Summary:	Header files for gnome-chemistry-utils library
Summary(pl):	Pliki nagwkowe gnome-chemistry-utils
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gcu-lib-devel

%description devel
The gnome-chemistry-utils-devel package includes the header files
necessary for developing programs using the gnome-chemistry-utils
libraries.

%description devel -l pl
Pakiet gnome-chemistry-utils-devel zawiera pliki nagwkowe niezbdne
do budowania programw uywajcych bibliotek gnome-chemistry-utils.

%package static
Summary:	Static gnome-chemistry-utils libraries
Summary(pl):	Statyczne biblioteki gnome-chemistry-utils
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gnome-chemistry-utils libraries.

%description static -l pl
Statyczne biblioteki gnome-chemistry-utils.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTMLDIR=%{_gtkdocdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gchemutils
%{_datadir}/mime-info/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/gcu
%{_libdir}/pkgconfig/*.pc
%{_gtkdocdir}/%{name}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-chemistry-utils.spec,v $
Revision 1.10  2005/03/30 23:01:50  paladine
- rel. 2 for rebuild with howl 0.9.10

Revision 1.9  2004/03/19 15:52:28  grzegol
- updated to 0.2.5

Revision 1.8  2004/03/11 14:54:14  grzegol
- updated to 0.2.4
- strict internal deps

Revision 1.7  2004/02/12 15:13:30  grzegol
- updated to 0.2.3
- new style bconds
- added DESTDIR patch
- added -static subpackage
- regenerate lt/al/ac/am
- enabled gtk-doc

Revision 1.6  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.5  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:48:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/13 18:31:02  qboosh
- even more simplifications

Revision 1.2  2003/05/13 07:56:20  qboosh
- simplified after name change, Obsoletes for old names

Revision 1.1  2003/05/13 00:31:11  emes
- Changed name from gcu to gnome-chemistry-utils
- *-lib merged into main package

Revision 1.3  2003/05/12 14:19:36  qboosh
- gtkglext is preferred over gtkglarea - changed BRs
- gtkgl*-devel require OpenGL-devel, so not needed in BR; added noautoreqdep
- removed COPYING from doc (just LGPL), fixed License

Revision 1.2  2003/05/09 12:17:59  emes
- Polish description

Revision 1.1  2003/05/09 12:00:31  emes
- new
- ItWorksForMe
